int start;

//Store start
void StartWait ()
{
  start = GetTickCount ();
}

//Wait for n milliseconds
void WaitFor (int n)
{
  int current;
  do
    current = GetTickCount ();
  while (current < start + n);
}

//Wait for n milliseconds
void Delay (int n)
{
  StartWait ();
  WaitFor (n);
}

//Fade out
void FadeOut ()
{
  int           o;
  unsigned char *Pointer;
  unsigned char f;

  if (TimeOut < 16) {
    f = (16 - TimeOut) << 4;
    Pointer = MainBitmapData;
    for (o = 0; o < 221952; o++) {
      if (Pointer [o] > f) 
        Pointer [o] -= f;
      else
        Pointer [o] = 0;
    }
  }
}

//Get current directory
void GetStartDir ()
{
  GetCurrentDirectory (1024, StartDir);
  if (StartDir [strlen (StartDir)] != '\\')
    strcat (StartDir, "\\");
}